import request from "@/utils/request";
const baseURL = "/account/admin/picture/gallery";
// 图片管理
const AuthAPI = {
  /** 列表*/
  getPage(params: any) {
    return request<any, Responseres>({
      url: `${baseURL}/page`,
      method: "get",
      params,
    });
  },
  // 新增
  add(data: any) {
    return request<any, Responseres>({
      url: `${baseURL}`,
      method: "post",
      data,
    });
  },

  // 修改
  update(data: Object) {
    return request<any, Responseres>({
      url: `${baseURL}`,
      method: "put",
      data,
    });
  },
  // 删除
  deleteByIds(id: number | String) {
    return request<any, Responseres>({
      url: `${baseURL}/${id}`,
      method: "delete",
    });
  },

};

export interface Responseres {
  code?: number | null;
  data?: any;
  msg?: null | string;
  [property: string]: any;
}

export default AuthAPI;




